const path = require('path')
const pathOrRepo = source => {
  if (source.substring(0, 4) === 'git@' || source.substring(0, 4) === 'http') {
    return { repo: source }
  } else if (source.substring(0, 1) === '.') {
    return { path: path.resolve(source) }
  }
  return { path: source }
}

module.exports = pathOrRepo
